function RES=normalisation(ARG)
% Функция построена согласно статьи
% Stanley E. etc "The statistical properties of the volatility of price uctuations"
% Построение матрицы G - матрицы возвратов
% Вход  : ARG - исходная матрица цен (цены одной фирмы расположены в строках)
% Выход : RES - результирующая матрица возвратов (по статье - "изменение цены")

[m,n]=size(ARG);
for i=1:m
    MA=middleArith(ARG);
    MA2=MA*MA;
    MA_2=middleArith(ARG.*ARG);
    MA_=MA_2-MA2;
    SD=middleSqDev(ARG);
    for j=1:n
        %RES(i,j)=log(ARG(i,j+1))-log(ARG(i,j));
        
        %RES(i,j)=(ARG(i,j)-MA)/MA_;
        RES(i,j)=(ARG(i,j)-MA)/SD;
        
        % Второй вариант формулы (1) в статье
        % RES(i,j)=(ARG(i,j+1)-ARG(i,j))/ARG(i,j);
    end
end